Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.geom
Class PathLength.PathSegment

    java.lang.Object
      org.apache.batik.ext.awt.geom.PathLength.PathSegment

Enclosing class:
  PathLength

    protected static class PathLength.PathSegment

extends Object

A single path segment in the flattened version of the path. This is a local helper class. PathSegment-objects are stored in the `PathLength.segments` - list. This is used as an immutable value-object.

Field Summary
`protected int` | `index` The index of the original path segment this flattened segment is a part of.
`protected float` | `length` The length of the path segment, accumulated from the start.
`protected int` | `segType` The path segment type.
`protected float` | `x` The x coordinate of the path segment.
`protected float` | `y` The y coordinate of the path segment.

Method Summary
`int` | `getIndex()` Returns the segment index.
`float` | `getLength()` Returns the length of the path segment.
`int` | `getSegType()` Returns the segment type.
`float` | `getX()` Returns the x coordinate of the path segment.
`float` | `getY()` Returns the y coordinate of the path segment.
`void` | `setIndex(int v)` Sets the segment index.
`void` | `setLength(float v)` Sets the length of the path segment.
`void` | `setX(float v)` Sets the x coordinate of the path segment.
`void` | `setY(float v)` Sets the y coordinate of the path segment.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### segType

    protected final int segType

  The path segment type.

### x

    protected float x

  The x coordinate of the path segment.

### y

    protected float y

  The y coordinate of the path segment.

### length

    protected float length

  The length of the path segment, accumulated from the start.

### index

    protected int index

  The index of the original path segment this flattened segment is a part of.

Method Detail

### getSegType

    public int getSegType()

  Returns the segment type.

### getX

    public float getX()

  Returns the x coordinate of the path segment.

### setX

    public void setX(float v)

  Sets the x coordinate of the path segment.

### getY

    public float getY()

  Returns the y coordinate of the path segment.

### setY

    public void setY(float v)

  Sets the y coordinate of the path segment.

### getLength

    public float getLength()

  Returns the length of the path segment.

### setLength

    public void setLength(float v)

  Sets the length of the path segment.

### getIndex

    public int getIndex()

  Returns the segment index.

### setIndex

    public void setIndex(int v)

  Sets the segment index.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.